@import url("bootstrap.min.css");

html,
body {
    height: 100%;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;

    background-color: #f6f6f6;
}

.wrap > .container {
    padding: 70px 15px 20px;
}

/*-- Jumbotron tweaks --*/

.jumbotron {
    text-align: center;
}

.footer {
    height: 60px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding-top: 20px;
}

.not-set {
    color: #c55;
    font-style: italic;
}



/*-- Sorting --*/

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

/*-- Other --*/

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* add red asterisk to required form fields */
div.required label:after {
    content: " *";
    color: #e13431;
}

/*-- GridView options display tweaks --*/

.user-index td:last-child,
.articles-admin td:last-child {
    width: 68px;
}

.article-view th {
    min-width: 90px;
}

/*-- Css for nicer display of boolean yes/no values --*/

.boolean-true {
    font-weight: bold;
    color: green;
}

.boolean-false {
    font-weight: bold;
    color: #e13431;
}

/*-- Css for nicer display of user roles --*/

.role-theCreator {
    font-weight: bold;
    color: black;
}

.role-admin {
    font-weight: bold;
    color: #c4a500;
}

.role-editor {
    font-weight: bold;
    color: #800080;
}

.role-support {
    font-weight: bold;
    color: #009d00;
}

.role-premium {
    font-weight: bold;
    color: #4c4cff;
}

.role-member {
    font-weight: bold;
}

/*-- Colors used for various data presentation purposes --*/

.blue {
    font-weight: bold;
    color: #7373ff; 
}

.green {
    font-weight: bold;
    color: #009d00;
}

.gold {
    font-weight: bold;
    color: #c4a500;   
}

hr.top {
    margin-top: 0px;
    border-width: 1px;
    border-color: #333;
    text-align: left;
}

hr.article-devider {
    border-width: 1px;
    border-color: #444;
    border-style: dashed;
    text-align: left;
}

/*-- Password strength --*/

/* hide strength meter so we can fade it in nicely with jQuery */
.nz-meter-container {
    display: none;
}

.sapient_wrap
{
	width: 100%;

	
}

.sapient_leftMenu
{
	width: 250px;
	height: 100%;
	float:left;
	padding-right: 10px;
}

.sapient_titleBar
{
	height:100px;
	background-color: blue;	
}

.sapient_content
{
	width: Calc(100% - 250px);
	overflow:hidden;
	padding-left : 10px;
	padding-right : 10px;
}

.sapient_login
{
	width: 800px;
	margin-left: auto;
	margin-right: auto;

}


.customer-orders-form
{
	width: 100%;
	
}
.customer-orders-form-pricing
{
	width: 500px;
	height: 700px;
	float:right;
	padding-right: 10px;
	border: 1px solid;
	padding-left: 5px;
	padding-top: 5px;
	
}


.delivery-order-info
{
	padding-right: 10px;
	border: 1px solid;
	padding-left: 5px;
	padding-top: 5px;
	height: 500px;
	background-color: #dadada;
	border-radius: 5px;
}


.customer-orders-form-main
{
	width:auto;
	overflow:hidden;
	padding-right: 50px;
	
}

.customer_order_subheading
{
	font-weight: bold;
	font-size: 19px;
	border-bottom: 1px solid black;
	margin-bottom: 10px;
}

.order_info
{
	
}

.infoInput
{
	border: 0px  solid;
	width: 140px;
}

.infoInputLarge
{
	border: 0px  solid;
	width: 300px;
}

.order_info_input
{
	border: 0px  solid; 
	width:170px
}


.infoInputDetails
{
	border: 0px  solid;
	width: 100%;
}



.sapFieldSet
{
	width: 100%;
	height: 90px;
	border: 1px solid #beafb7;
	padding-left: 10px;
	margin-top: 0px;
}

.sapFieldSetLegend
{
	margin-left: 0px;
	padding-left: 5px;
	margin-bottom: 10px;
	font-size:1em;
	width: 60px;
	position: relative;
	top: 5px;
	border: 0px;
}
	


.sapient_login_wrapper
{
	width: 100%;
	height: 100%;
	background-image: url("/images/login_background.jpg");
	background-size:cover;
}

.sapient_login_content
{
	width: 400px;
	margin-right: auto;
	margin-left: auto;

}

.sapient_home_title_wrapper
{
	width: 100%;
	height: 120px;
	
}

.sapient_home_title
{
	width: 742px;
	height: 100%;
	margin-right: auto;
	margin-left: auto;
	background-image: url("/images/header.gif");
}

.sapTitleBar{
	width: 1280px;
	font-size: 3em;
	
}



.sap_edit_ingredient_link:hover
{
	cursor: pointer;
}

.sapDeliveryFieldSetLegend
{
	margin-left: 0px;
	padding-left: 5px;
	margin-bottom: -10px;
	font-size:1em;
	width: 100px;
	position: relative;
	top: -15px;
	border: 1px;
	background-color: white;
}

.sap_trailer_empty
{
	background-image: url('/images/trailerbinbg_empty.png');
	background-repeat: repeat-x;
	background-size: 5px 100%;
}

.sap_trailer_full
{
	background-image: url('/images/trailerbinbg_full.png');
	background-repeat: repeat-x;
	background-size: 5px 100%;;
}

.sap_trailer_partial
{
	background-image: url('/images/trailerbinbg_partial.png');
	background-repeat: repeat-x;
		background-size: 5px 100%;
}

.remove_trailer_link:hover, .trailer_add_link:hover
{
	cursor: pointer;
}

.truck_allocation_panel
{
	
}
 
.delivery-load-form
{
	width:1000px;
	
	background: #F0F0F0  ;
	margin:auto;
	border-radius: 10px;
	box-shadow: 0 10px 6px -6px #777;
	padding-top: 5px;
	padding-bottom: 5px;
	padding-left: 5px;
	padding-right: 5px;
}

.delivery-load-info
{
	width: 100px;
	float: left;
}

.delivery-load-truck
{
	
	
	margin-top: 10px;
	width: 180px;
	height: 180px;
	background: #E0E0E0;
	float: left;
	border-radius: 10px;
	box-shadow: 0 10px 6px -6px #777;
}

.delivery-load-trailer1
{
	margin-left: 10px;
	margin-top: 10px;
	width: 393px;
	height: 180px;
	background: #E0E0E0;
	float: left;
	box-shadow: 0 10px 6px -6px #777;
	border-radius: 10px;
}

.delivery-load-trailer2
{
	margin-left: 10px;
	margin-top: 10px;
	width: 393px;
	height: 180px;
	background: #E0E0E0;
	box-shadow: 0 10px 6px -6px #777;
	border-radius: 10px;
	float: left;
	
}

.delivery-load-action
{
	width: 30px;
	height: 100%;
	float: right;
	padding-top: 5px;
}

.truck_empty_select
{
	width: 100%;
	height: 100%;
	cursor: pointer;
	
}

.add_truck_link
{
	width: 128px;
	margin: auto;
	height: 128px;
	padding-top: 30px;
	
}




.truck_select_dialog
{
	width: 600px;
	height: 800px;
	background-color: red;
	
}

.trailer_empty_select
{
	width: 100%;
	height: 100%;
	
}

.select_trailer_button
{
	width: 128px;
	margin: auto;
	height: 128px;
	padding-top: 30px;
	cursor: pointer;
	
}


.trailer_slot_disabled
{

	width: 100%;
	height: 100%;
	background-color: #F0F0F0;
	
}


.sap_percent_fill_5
{
background: linear-gradient(0deg, #AD9465 5%, #FFFFFF 50%);
}

.sap_percent_fill_10
{
background: linear-gradient(0deg, #AD9465 10%, #FFFFFF 50%);
}

.sap_percent_fill_15
{
background: linear-gradient(0deg, #AD9465 25%, #FFFFFF 50%);
}

.sap_percent_fill_20
{
background: linear-gradient(0deg, #AD9465 20%, #FFFFFF 50%);
}

.sap_percent_fill_25
{
background: linear-gradient(0deg, #AD9465 25%, #FFFFFF 50%);
}

.sap_percent_fill_30
{
background: linear-gradient(0deg, #AD9465 30%, #FFFFFF 50%);
}

.sap_percent_fill_35
{
background: linear-gradient(0deg, #AD9465 35%, #FFFFFF 50%);
}

.sap_percent_fill_40
{
background: linear-gradient(0deg, #AD9465 40%, #FFFFFF 50%);
}

.sap_percent_fill_45
{
background: linear-gradient(0deg, #AD9465 45%, #FFFFFF 50%);
}

.sap_percent_fill_50
{
background: linear-gradient(0deg, #AD9465 50%, #FFFFFF 50%);
}

.sap_percent_fill_55
{
background: linear-gradient(0deg, #AD9465 55%, #FFFFFF 50%);
}

.sap_percent_fill_60
{
background: linear-gradient(0deg, #AD9465 60%, #FFFFFF 50%);
}

.sap_percent_fill_65
{
background: linear-gradient(0deg, #AD9465 65%, #FFFFFF 50%);
}

.sap_percent_fill_70
{
background: linear-gradient(0deg, #AD9465 70%, #FFFFFF 50%);
}

.sap_percent_fill_75
{
background: linear-gradient(0deg, #AD9465 75%, #FFFFFF 50%);
}

.sap_percent_fill_80
{
background: linear-gradient(0deg, #AD9465 80%, #FFFFFF 50%);
}

.sap_percent_fill_85
{
background: linear-gradient(0deg, #AD9465 85%, #FFFFFF 50%);
}

.sap_percent_fill_90
{
background: linear-gradient(0deg, #AD9465 90%, #FFFFFF 50%);
}

.sap_percent_fill_95
{
background: linear-gradient(0deg, #AD9465 95%, #FFFFFF 50%);
}

.sap_percent_fill_100
{
background: linear-gradient(0deg, #AD9465 100%, #FFFFFF 50%);
}

.sap_delete_cross
{
	background-image:url('/images/icon-32-cross.png');
	
}

	
.sap_icon_cross:hover {
	background-position:0px -32px;
}

.sap_showlink:hover
{
	cursor: pointer;
}

.sap_info
{
	border-radius: 5px; 
	border: 1px solid; 
	background-color: #EFEFEF; 
	padding: 5px;
}

.sap_showlinkinfo {
	cursor: pointer;
	text-decoration: none !important;
	color: black;
	}

.sap_loading_outer
{
	display: none;
	width: 100%;
	
}	
	
.sap_loading_inner
{
	width: 100px;
	margin-left: auto;
	margin-right: auto;
}

.sap_highlight
{
	background-color: #215cd8;
}

.sap_truckline:hover
{
	background-color: #7399ea;
}


.sap_hidden
{
	display: none;
}

.grid_input_row td
{
	margin: 0px !important;
	padding: 0px !important;
	
	
}

.grid_input
{
	height: 30px;
    line-height: 30px;
    width:100%;
	margin: 0;
	border-radius: 0 !important;
	border: 1px solid #e7e7e7;
	padding-left: 10px;
	
	
}


.sap_input_bg
{
	background-color: #e2f1fe
}

.email_form .select2-selection__rendered {
    width: 500px !important;
}

.transaction_input
{
	height: 30px;
    line-height: 30px;
    padding-right: 10px;
    padding-left: 10px;
    width:100%;
	margin: 0;
	border-radius: 0 !important;
	border: 0;
}

.transactions_row td
{
	margin: 0 !important;
	padding: 0 !important;
}


.plugin_status_bar
{
	width: 100%;
	border: 1px solid;
	height: 35px;
	
}

.page{
    width: 50px !important;
}

.sap_document_link
{
    width: 350px;
    height: 30px;
    display:inline-block;
    padding: 5px;
    text-align: left;
    border-radius: 5px;
    border: 1px solid;
    color: black;
    overflow:hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    line-height: 17px;
    font-weight: bold;
    background-color: #7399ea;
}

.sap_document_link:hover
{
   background-color: grey;
   cursor: pointer;
}



.file_list_container{
    width: 100%;
    border: 1px solid rgb(204, 204, 204);
    height: 200px;
}

.file_list_document_container{
    width: 140px;
    height: 180px;
    border: 1px solid rgb(204, 204, 204);
    border-radius: 5px;
    margin: 5px;
    float: left;
    }
    
    .document_image{
        width: 120px;
        height: 160px;
       
    }
    
     .document_image img{
         width: 119px;
         height: 119px;
         cursor: pointer;
     } 
    .document_actions{
        vertical-align: top;
        text-align: center;
        
        width: 19px;
        }
        
    .document_action_item{
        color: rgb(204, 204, 204);
        }
    
        
    .document_action_item:hover{
        cursor: pointer;
        font-weight: bold;
        color: black;
        }

    .document_filename {
        color: #999;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        padding-left: 5px;
        padding-bottom: 5px;
         width: 119px;
    }
    
     .document_filename:hover{
        cursor: pointer;
        font-weight: bold;
        color: black;
         white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .file_input_preview{
        width: 170px !important;
        
    }
    
    .file-preview-pdf
    {
        width: 90% !important;
        height: 200px !important;
        text-align: left;
        position: absolute;
        right: 10px;
    }